/* Mini systeme de particules
 * Auteur : Fares BELHADJ (Lire COPYING)
 * Email  : amsi@ai.univ-paris8.fr
 * Date   : 03/01/2008
 */
#ifndef _PARTICULES_H

#define _PARTICULES_H

#include "astdlib.h"

typedef struct particule_t particule_t;

struct particule_t {
  float r;
  point3f_t p;
  vector3f_t v, a;
  float ambient_color[4], diffuse_color[4];
};

extern particule_t * particules;
extern vector3f_t G;

extern void initParticules(int n);
extern void drawParticules(void);
extern void moveParticules(float dt);
extern void freeParticules(void);

#endif
